<?php 
	if (!empty($wo['story']['parent_id'])) {
	$post_shared_from = $wo['post_shared_from'] = Wo_PostData($wo['story']['parent_id']);
?>
	<div class="valign post-heading 1">
		<div class="valign">
			<div class="image">
				<a href="<?php echo $wo['story']['publisher']['url']; ?>" data-ajax="?link1=timeline&u=<?php echo $wo['story']['publisher']['username']?>">
					<img src="<?php echo $wo['story']['publisher']['avatar']; ?>" alt="<?php echo $wo['story']['publisher']['name']; ?>" class="avatar">
					<?php if($wo['config']['user_lastseen'] == 1 && $wo['story']['publisher']['showlastseen'] != 0 && $wo['loggedin'] == true) {  ?>
						<span class="tag_post_status <?php echo($wo['story']['publisher']['lastseen'] > (time() - 60) ? 'online' : '' ) ?> "></span>
					<?php } ?>
				</a>
			</div>
			<div class="meta">
      			<div class="title">
        			<span class="user-popover" data-type="<?php echo $wo['story']['publisher']['type']; ?>" data-id="<?php echo $wo['story']['publisher']['id']; ?>"><a href="<?php echo $wo['story']['publisher']['url']; ?>" data-ajax="?link1=timeline&u=<?php echo $wo['story']['publisher']['username']; ?>" class="name"><?php echo $wo['story']['publisher']['name']; ?></a></span>
		 			<?php if($wo['story']['publisher']['verified'] == 1) { ?>
						<span class="verified-color fs-14" title="<?php echo ($wo['story']['page_id'] > 0 ? $wo['lang']['verified_page'] : $wo['lang']['verified_user']);?>" data-toggle="tooltip">&nbsp;<svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 512 512"><path d="m256 0c-141.164062 0-256 114.835938-256 256s114.835938 256 256 256 256-114.835938 256-256-114.835938-256-256-256zm0 0" fill="#2196f3"></path><path d="m385.75 201.75-138.667969 138.664062c-4.160156 4.160157-9.621093 6.253907-15.082031 6.253907s-10.921875-2.09375-15.082031-6.253907l-69.332031-69.332031c-8.34375-8.339843-8.34375-21.824219 0-30.164062 8.339843-8.34375 21.820312-8.34375 30.164062 0l54.25 54.25 123.585938-123.582031c8.339843-8.34375 21.820312-8.34375 30.164062 0 8.339844 8.339843 8.339844 21.820312 0 30.164062zm0 0" fill="#fff"></path></svg></span>
					<?php } ?>
         			<?php 
						if (isset($wo['story']['publisher']['is_pro'])) { 
						if(Wo_IsUserPro($wo['story']['publisher']['is_pro']) === true) {
					?>
						<?php $user_pro_type = Wo_GetUserProType($wo['story']['publisher']['pro_type']); ?>
						<span class="fs-14">&nbsp;<span class="pro-badge" style="background-color:<?php echo $user_pro_type['color_name'];?>" title="<?php echo $user_pro_type['type_name'];?>" data-toggle="tooltip"><a href="<?php echo Wo_SeoLink('index.php?link1=go-pro'); ?>" data-ajax="?link1=go-pro">PRO</a></span></span>
					<?php } } ?>
         			<span class="fs-14">&nbsp;<?php echo $wo['lang']['shared_a_post']; ?></span>
         			<span class="fs-14">&nbsp;<a href="<?php echo $post_shared_from['url']; ?>" class="name"><?php echo strtolower($wo['lang']['post']); ?></a></span>
         			<?php if (empty($wo['story']['parent_id'])) { ?>
						<?php if ($wo['story']['recipient_exists'] == true) {  ?>
							<span class="fs-14">&nbsp;<?php echo $wo['lang']['to']; ?></span>
							<span class="user-popover" data-type="<?php echo $wo['story']['recipient']['type']; ?>" data-id='<?php echo $wo['story']['recipient']['id']; ?>'>
								<a href="<?php echo $wo['story']['recipient']['url']; ?>" data-ajax="?link1=timeline&u=<?php echo $wo['story']['recipient']['username']; ?>" class="name"><?php echo $wo['story']['recipient']['name']; ?></a>
								<?php if($wo['story']['recipient']['verified'] == 1) { ?> 
            						<span class="verified-color fs-14" title="<?php echo ($wo['story']['page_id'] > 0 ? $wo['lang']['verified_page'] : $wo['lang']['verified_user']);?>" data-toggle="tooltip">&nbsp;<svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 512 512"><path d="m256 0c-141.164062 0-256 114.835938-256 256s114.835938 256 256 256 256-114.835938 256-256-114.835938-256-256-256zm0 0" fill="#2196f3"></path><path d="m385.75 201.75-138.667969 138.664062c-4.160156 4.160157-9.621093 6.253907-15.082031 6.253907s-10.921875-2.09375-15.082031-6.253907l-69.332031-69.332031c-8.34375-8.339843-8.34375-21.824219 0-30.164062 8.339843-8.34375 21.820312-8.34375 30.164062 0l54.25 54.25 123.585938-123.582031c8.339843-8.34375 21.820312-8.34375 30.164062 0 8.339844 8.339843 8.339844 21.820312 0 30.164062zm0 0" fill="#fff"></path></svg></span>
								<?php } ?>
							</span>
						<?php } ?>
						<?php if (!empty($wo['story']['page_event_id'])) {?>
							<span class="fs-14">&nbsp;<?php echo $wo['lang']['created_new_event'] ?></span>
						<?php } ?>
						<?php if (!empty($wo['story']['fund_id']) && empty($wo['story']['parent_id'])) {?>
							<span class="fs-14">&nbsp;<?php echo $wo['lang']['created_donation_request'] ?></span>
						<?php } ?>
						<?php if (!empty($wo['story']['fund_raise_id']) && empty($wo['story']['parent_id'])) {?>
							<span class="fs-14">&nbsp;<?php echo $wo['lang']['donated_to_request'] ?></span>
						<?php } ?>
						<?php if (!empty($wo['story']['offer_id']) && empty($wo['story']['parent_id'])) {?>
							<span class="fs-14">&nbsp;<?php echo $wo['lang']['created_offer'] ?></span>
						<?php } ?>
						<?php if (!empty($wo['story']['event_id']) && $wo['page'] != 'events') {  ?>
							<span class="fs-14">&nbsp;<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="18" height="18" style="margin: -2px 0 0;"><path fill="currentColor" d="M16.172 11l-5.364-5.364 1.414-1.414L20 12l-7.778 7.778-1.414-1.414L16.172 13H4v-2z"/></svg>&nbsp;</span> <a href="<?php echo $wo['story']['event']['url']; ?>" data-ajax="?link1=show-event&eid=<?php echo $wo['story']['event']['id']; ?>" class="name"><?php echo $wo['story']['event']['name']; ?></a>
						<?php } ?>
						<?php if ($wo['story']['group_recipient_exists'] == true && $wo['page'] != 'group') {  ?>
							<span class="fs-14">&nbsp;<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="18" height="18" style="margin: -2px 0 0;"><path fill="currentColor" d="M16.172 11l-5.364-5.364 1.414-1.414L20 12l-7.778 7.778-1.414-1.414L16.172 13H4v-2z"/></svg>&nbsp;</span>
							<span class="user-popover" data-type="<?php echo $wo['story']['group_recipient']['type']; ?>" data-id='<?php echo $wo['story']['group_recipient']['id']; ?>'>
								<a href="<?php echo $wo['story']['group_recipient']['url']; ?>" data-ajax="?link1=timeline&u=<?php echo $wo['story']['group_recipient']['username']; ?>" class="name"><?php echo $wo['story']['group_recipient']['name']; ?></a>
							</span>
						<?php } ?>
						<?php if (!empty($wo['story']['album_name']) && empty($wo['story']['shared_from'])) {  ?>
							<span class="fs-14">&nbsp;<?php echo $wo['lang']['added_new_photos_to'];?> <a href="<?php echo $wo['story']['url']; ?>" data-ajax="?link1=post&id=<?php echo $wo['story']['id'];?>" class="name"><?php echo $wo['story']['album_name']; ?></a></span>
						<?php } ?>
						<?php if (!empty($wo['story']['product_id']) && empty($wo['story']['shared_from'])) {  ?>
							<span class="fs-14">&nbsp;<?php echo $wo['lang']['added_new_product_for_sell']; ?></span>
						<?php } ?>
						<?php if (!empty($wo['story']['blog_id'])  && empty($wo['story']['shared_from'])) {  ?>
							<span class="fs-14">&nbsp;<?php echo $wo['lang']['created_new_blog'] ?></span>
						<?php } ?>
						<?php if (!empty($wo['story']['forum_id'])  && empty($wo['story']['shared_from']) && !empty($wo['story']['forum'])) {  ?>
							<span class="fs-14">&nbsp;<?php echo $wo['lang']['shared_forum'] ?></span>
						<?php } ?>
						<?php if (!empty($wo['story']['thread_id'])  && empty($wo['story']['shared_from']) && !empty($wo['story']['thread'])) {  ?>
							<span class="fs-14">&nbsp;<?php echo $wo['lang']['shared_thread'] ?></span>
						<?php } ?>
						<?php if (empty($wo['story']['shared_from'])): ?>
							<span class="fs-14"><?php 
									if($wo['story']['postType'] == 'profile_picture') { 
										$changed_profile_pic_lang = $wo['lang']['changed_profile_picture_male'];
										if ($wo['story']['publisher']['gender'] == 'female') {
											$changed_profile_pic_lang = $wo['lang']['changed_profile_picture_female'];
										} else {
											$changed_profile_pic_lang = $wo['lang']['changed_profile_picture_male'];
										}
										echo '&nbsp;' . $changed_profile_pic_lang;
									} 
									if($wo['story']['postType'] == 'profile_cover_picture') { 
										$changed_profile_cover_pic_lang = $wo['lang']['changed_profile_cover_picture_male'];
										if ($wo['story']['publisher']['gender'] == 'female') {
											$changed_profile_cover_pic_lang = $wo['lang']['changed_profile_cover_picture_female'];
										} else {
											$changed_profile_cover_pic_lang = $wo['lang']['changed_profile_cover_picture_male'];
										}
										echo '&nbsp;' . $changed_profile_cover_pic_lang;
									} 
								?></span>
						<?php endif; ?>
						<?php if($wo['story']['via_type'] == 'share') {  ?>
							<span class="fs-14">&nbsp;<?php echo $wo['story']['via']['name'];?> <?php echo $wo['lang']['shared_this_post'];?></span>
						<?php } ?>
						<?php 
							$extra_exists = 0;
							if (!empty($wo['story']['postFeeling'])) {
								if (empty($changed_profile_pic_lang) 
								&& $wo['story']['via_type'] != 'share'
								&& $wo['story']['group_recipient_exists'] != true
								&& empty($wo['story']['album_name'])) {
						?>
							<span class="feeling-text">&nbsp;<?php echo $wo['lang']['is_feeling'];?> <i class="twa-lg twa twa-<?php echo $wo['story']['postFeelingIcon'];?>"></i> <?php echo $wo['lang'][$wo['story']['postFeeling']];?></span>
						<?php
							} else {
								$extra_exists = 1;
							}
							}
							if (!empty($wo['story']['postTraveling'])) {
								if (empty($changed_profile_pic_lang) 
								&& $wo['story']['via_type'] != 'share'
								&& $wo['story']['group_recipient_exists'] != true
								&& empty($wo['story']['album_name'])) {
						?>
							<span class="feeling-text">&nbsp;<?php echo $wo['lang']['is_traveling'];?> <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="18" height="18"><path fill="currentColor" d="M17 20H7v1a1 1 0 0 1-1 1H4a1 1 0 0 1-1-1v-9H2V8h1V5a2 2 0 0 1 2-2h14a2 2 0 0 1 2 2v3h1v4h-1v9a1 1 0 0 1-1 1h-2a1 1 0 0 1-1-1v-1zM5 5v7h14V5H5zm2.5 13a1.5 1.5 0 1 0 0-3 1.5 1.5 0 0 0 0 3zm9 0a1.5 1.5 0 1 0 0-3 1.5 1.5 0 0 0 0 3z"></path></svg> <?php echo $wo['story']['postTraveling'];?></span>
						<?php
							} else {
								$extra_exists = 1;
							}
							}
							if (!empty($wo['story']['postListening'])) {
								if (empty($changed_profile_pic_lang) 
								&& $wo['story']['via_type'] != 'share'
								&& $wo['story']['group_recipient_exists'] != true
								&& empty($wo['story']['album_name'])) {
						?>
							<span class="feeling-text">&nbsp;<?php echo $wo['lang']['is_listening'];?> <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="18" height="18"><path fill="currentColor" d="M4 12h3a2 2 0 0 1 2 2v5a2 2 0 0 1-2 2H4a2 2 0 0 1-2-2v-7C2 6.477 6.477 2 12 2s10 4.477 10 10v7a2 2 0 0 1-2 2h-3a2 2 0 0 1-2-2v-5a2 2 0 0 1 2-2h3a8 8 0 1 0-16 0z"></path></svg> <?php echo $wo['story']['postListening'];?></span>
						<?php
							} else {
								$extra_exists = 1;
							}
							}
							if (!empty($wo['story']['postPlaying'])) {
								if (empty($changed_profile_pic_lang) 
								&& $wo['story']['via_type'] != 'share'
								&& $wo['story']['group_recipient_exists'] != true
								&& empty($wo['story']['album_name'])) {
						?>
							<span class="feeling-text">&nbsp;<?php echo $wo['lang']['is_playing'];?> <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="18" height="18"><path fill="currentColor" d="M17 4a6 6 0 0 1 6 6v4a6 6 0 0 1-6 6H7a6 6 0 0 1-6-6v-4a6 6 0 0 1 6-6h10zm-7 5H8v2H6v2h1.999L8 15h2l-.001-2H12v-2h-2V9zm8 4h-2v2h2v-2zm-2-4h-2v2h2V9z"></path></svg> <?php echo $wo['story']['postPlaying'];?></span>
						<?php
							} else {
								$extra_exists = 1;
							}
							}
							if (!empty($wo['story']['postWatching'])) {
								if (empty($changed_profile_pic_lang) 
								&& $wo['story']['via_type'] != 'share'
								&& $wo['story']['group_recipient_exists'] != true
								&& empty($wo['story']['album_name'])) {
						?>
							<span class="feeling-text">&nbsp;<?php echo $wo['lang']['is_watching'];?> <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="18" height="18"><path fill="currentColor" d="M15.414 5h5.594c.548 0 .992.445.992 1v14c0 .552-.455 1-.992 1H2.992A.994.994 0 0 1 2 20V6c0-.552.455-1 .992-1h5.594L6.05 2.464 7.464 1.05 11.414 5h1.172l3.95-3.95 1.414 1.414L15.414 5z"></path></svg> <?php echo $wo['story']['postWatching'];?></span>
						<?php
							} else {
								$extra_exists = 1;
							}
							}
						?>
					<?php }else{$extra_exists = 1;} ?>
				</div>
				<div class="valign tag_post_hdr_sub">
					<span class="time"><a class="ajax-time" href="<?php echo $wo['story']['url'];?>" target="_blank"><?php echo Wo_Time_Elapsed_String($wo['story']['time']); ?></a></span>
					<?php if(!empty($wo['story']['postMap'])) { ?>
						<?php if(!empty($wo['story']['postSoundCloud']) || 
							!empty($wo['story']['postVine']) || 
							!empty($wo['story']['postYoutube']) || 
							!empty($wo['story']['postPlaytube']) || 
							!empty($wo['story']['postVimeo']) || 
							!empty($wo['story']['postText']) || 
							!empty($wo['story']['postFile']) || 
							!empty($wo['story']['postLink']) || 
							!empty($wo['story']['postFacebook']) || 
							!empty($wo['story']['postDailymotion']) ||
							!empty($wo['story']['album_name']) || $wo['config']['google_map'] == 0) {
						?>
							<span class="middot">·</span><span class="time"><?php echo $wo['story']['postMap'];?></span>
						<?php } ?>
					<?php } else { ?>
						<?php
							$small_icon = '';
							$icon_type = '';
							if(!empty($wo['story']['postVine'])) { 
								$small_icon = 'vine';
								$icon_type = 'Vine';
							} else if (!empty($wo['story']['postVimeo'])) {
								$small_icon = 'vimeo';
								$icon_type = 'Vimeo';
							} else if (!empty($wo['story']['postFacebook'])) {
								$small_icon = 'facebook-official';
								$icon_type = 'Facebook';
							} else if (!empty($wo['story']['postDailymotion'])) {
								$small_icon = 'film';
								$icon_type = 'Dailymotion';
							} else if (!empty($wo['story']['postYoutube'])) {
								$small_icon = 'youtube-square';
								$icon_type = 'Youtube';
							} else if (!empty($wo['story']['postPlaytube'])) {
								// $small_icon = 'play-circle';
								// $icon_type = 'PlayTube';
							} else if (!empty($wo['story']['postSoundCloud'])) {
								$small_icon = 'soundcloud';
								$icon_type = 'SoundCloud';
							}
							if (!empty($icon_type)) {
						?>
							<span class="middot">·</span><span class="time"><?php echo $icon_type; ?></span>
						<?php } ?>
					<?php } ?>
         			<?php if ($wo['story']['admin'] === true && $wo['story']['group_recipient_exists'] == false && empty($wo['story']['product_id'])) { ?>
						<?php if (empty($wo['story']['page_id'])) { ?>
							<span class="middot">·</span>
							<span class="dropdown">
								<div class="dropdown-toggle post-privacy" data-toggle="dropdown" role="button" aria-expanded="false">
									<?php if($wo['story']['postPrivacy'] == 0) { ?>
										<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" opacity=".8"><title><?php echo $wo['lang']['everyone'];?></title><path fill="currentColor" d="M17.9,17.39C17.64,16.59 16.89,16 16,16H15V13A1,1 0 0,0 14,12H8V10H10A1,1 0 0,0 11,9V7H13A2,2 0 0,0 15,5V4.59C17.93,5.77 20,8.64 20,12C20,14.08 19.2,15.97 17.9,17.39M11,19.93C7.05,19.44 4,16.08 4,12C4,11.38 4.08,10.78 4.21,10.21L9,15V16A2,2 0 0,0 11,18M12,2A10,10 0 0,0 2,12A10,10 0 0,0 12,22A10,10 0 0,0 22,12A10,10 0 0,0 12,2Z"></path></svg>
									<?php } ?>
									<?php if($wo['story']['postPrivacy'] == 1) { ?>
										<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" opacity=".8"><title><?php echo ($wo['config']['connectivitySystem'] == 1) ? $wo['lang']['my_friends'] : $wo['lang']['people_follow_me'];?></title><path fill="currentColor" d="M16,13C15.71,13 15.38,13 15.03,13.05C16.19,13.89 17,15 17,16.5V19H23V16.5C23,14.17 18.33,13 16,13M8,13C5.67,13 1,14.17 1,16.5V19H15V16.5C15,14.17 10.33,13 8,13M8,11A3,3 0 0,0 11,8A3,3 0 0,0 8,5A3,3 0 0,0 5,8A3,3 0 0,0 8,11M16,11A3,3 0 0,0 19,8A3,3 0 0,0 16,5A3,3 0 0,0 13,8A3,3 0 0,0 16,11Z"></path></svg>
									<?php } ?>
									<?php if($wo['story']['postPrivacy'] == 2) { ?>
										<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" opacity=".8"><title><?php echo ($wo['config']['connectivitySystem'] == 1) ? $wo['lang']['my_friends'] : $wo['lang']['people_i_follow'];?></title><path fill="currentColor" d="M12,4A4,4 0 0,1 16,8A4,4 0 0,1 12,12A4,4 0 0,1 8,8A4,4 0 0,1 12,4M12,14C16.42,14 20,15.79 20,18V20H4V18C4,15.79 7.58,14 12,14Z"></path></svg>
									<?php } ?>
									<?php if($wo['story']['postPrivacy'] == 3) { ?>
										<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" opacity=".8"><title><?php echo $wo['lang']['only_me'];?></title><path fill="currentColor" d="M12,17A2,2 0 0,0 14,15C14,13.89 13.1,13 12,13A2,2 0 0,0 10,15A2,2 0 0,0 12,17M18,8A2,2 0 0,1 20,10V20A2,2 0 0,1 18,22H6A2,2 0 0,1 4,20V10C4,8.89 4.9,8 6,8H7V6A5,5 0 0,1 12,1A5,5 0 0,1 17,6V8H18M12,3A3,3 0 0,0 9,6V8H15V6A3,3 0 0,0 12,3Z"></path></svg>
									<?php } ?>
								</div>
            					<ul class="dropdown-menu tag_create_menu" role="menu">
               						<li>
										<a class="pointer" onclick="Wo_UpdatePostPrivacy(<?php echo $wo['story']['id']; ?>,3,event);">
											<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path fill="currentColor" d="M12,17A2,2 0 0,0 14,15C14,13.89 13.1,13 12,13A2,2 0 0,0 10,15A2,2 0 0,0 12,17M18,8A2,2 0 0,1 20,10V20A2,2 0 0,1 18,22H6A2,2 0 0,1 4,20V10C4,8.89 4.9,8 6,8H7V6A5,5 0 0,1 12,1A5,5 0 0,1 17,6V8H18M12,3A3,3 0 0,0 9,6V8H15V6A3,3 0 0,0 12,3Z"></path></svg> <?php echo $wo['lang']['only_me'];?>
										</a>
									</li>
									<li>
										<a class="pointer" onclick="Wo_UpdatePostPrivacy(<?php echo $wo['story']['id']; ?>,0,event);">
											<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path fill="currentColor" d="M17.9,17.39C17.64,16.59 16.89,16 16,16H15V13A1,1 0 0,0 14,12H8V10H10A1,1 0 0,0 11,9V7H13A2,2 0 0,0 15,5V4.59C17.93,5.77 20,8.64 20,12C20,14.08 19.2,15.97 17.9,17.39M11,19.93C7.05,19.44 4,16.08 4,12C4,11.38 4.08,10.78 4.21,10.21L9,15V16A2,2 0 0,0 11,18M12,2A10,10 0 0,0 2,12A10,10 0 0,0 12,22A10,10 0 0,0 22,12A10,10 0 0,0 12,2Z"></path></svg> <?php echo $wo['lang']['everyone'];?>
										</a>
									</li>
									<?php if ($wo['config']['connectivitySystem'] == 1) { ?>
										<li>
											<a class="pointer" onclick="Wo_UpdatePostPrivacy(<?php echo $wo['story']['id']; ?>,1,event);">
												<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path fill="currentColor" d="M16,13C15.71,13 15.38,13 15.03,13.05C16.19,13.89 17,15 17,16.5V19H23V16.5C23,14.17 18.33,13 16,13M8,13C5.67,13 1,14.17 1,16.5V19H15V16.5C15,14.17 10.33,13 8,13M8,11A3,3 0 0,0 11,8A3,3 0 0,0 8,5A3,3 0 0,0 5,8A3,3 0 0,0 8,11M16,11A3,3 0 0,0 19,8A3,3 0 0,0 16,5A3,3 0 0,0 13,8A3,3 0 0,0 16,11Z"></path></svg> <?php echo $wo['lang']['my_friends'];?>
											</a>
										</li>
									<?php } else { ?>
										<li>
											<a class="pointer" onclick="Wo_UpdatePostPrivacy(<?php echo $wo['story']['id']; ?>,2,event);">
												<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path fill="currentColor" d="M12,4A4,4 0 0,1 16,8A4,4 0 0,1 12,12A4,4 0 0,1 8,8A4,4 0 0,1 12,4M12,14C16.42,14 20,15.79 20,18V20H4V18C4,15.79 7.58,14 12,14Z"></path></svg> <?php echo $wo['lang']['people_i_follow'];?>
											</a>
										</li>
										<li>
											<a class="pointer" onclick="Wo_UpdatePostPrivacy(<?php echo $wo['story']['id']; ?>,1,event);">
												<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path fill="currentColor" d="M16,13C15.71,13 15.38,13 15.03,13.05C16.19,13.89 17,15 17,16.5V19H23V16.5C23,14.17 18.33,13 16,13M8,13C5.67,13 1,14.17 1,16.5V19H15V16.5C15,14.17 10.33,13 8,13M8,11A3,3 0 0,0 11,8A3,3 0 0,0 8,5A3,3 0 0,0 5,8A3,3 0 0,0 8,11M16,11A3,3 0 0,0 19,8A3,3 0 0,0 16,5A3,3 0 0,0 13,8A3,3 0 0,0 16,11Z"></path></svg> <?php echo $wo['lang']['people_follow_me'];?>
											</a>
										</li>
									<?php } ?>
								</ul>
							</span>
						<?php } else { ?>
							<span class="middot">·</span>
							<span class="dropdown">
            					<div class="dropdown-toggle post-privacy" data-toggle="dropdown" role="button" aria-expanded="false">
									<?php if($wo['story']['postPrivacy'] == 0) { ?>
										<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" opacity=".8"><title><?php echo $wo['lang']['everyone'];?></title><path fill="currentColor" d="M17.9,17.39C17.64,16.59 16.89,16 16,16H15V13A1,1 0 0,0 14,12H8V10H10A1,1 0 0,0 11,9V7H13A2,2 0 0,0 15,5V4.59C17.93,5.77 20,8.64 20,12C20,14.08 19.2,15.97 17.9,17.39M11,19.93C7.05,19.44 4,16.08 4,12C4,11.38 4.08,10.78 4.21,10.21L9,15V16A2,2 0 0,0 11,18M12,2A10,10 0 0,0 2,12A10,10 0 0,0 12,22A10,10 0 0,0 22,12A10,10 0 0,0 12,2Z"></path></svg>
									<?php } ?>
									<?php if($wo['story']['postPrivacy'] == 2) { ?>
										<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" opacity=".8"><title><?php echo $wo['lang']['liked_my_page'];?></title><path fill="currentColor" d="M12,4A4,4 0 0,1 16,8A4,4 0 0,1 12,12A4,4 0 0,1 8,8A4,4 0 0,1 12,4M12,14C16.42,14 20,15.79 20,18V20H4V18C4,15.79 7.58,14 12,14Z"></path></svg>
									<?php } ?>
								</div>
								<ul class="dropdown-menu tag_create_menu" role="menu">
									<li>
										<a class="pointer" onclick="Wo_UpdatePostPrivacy(<?php echo $wo['story']['id']; ?>,0,event);">
											<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path fill="currentColor" d="M17.9,17.39C17.64,16.59 16.89,16 16,16H15V13A1,1 0 0,0 14,12H8V10H10A1,1 0 0,0 11,9V7H13A2,2 0 0,0 15,5V4.59C17.93,5.77 20,8.64 20,12C20,14.08 19.2,15.97 17.9,17.39M11,19.93C7.05,19.44 4,16.08 4,12C4,11.38 4.08,10.78 4.21,10.21L9,15V16A2,2 0 0,0 11,18M12,2A10,10 0 0,0 2,12A10,10 0 0,0 12,22A10,10 0 0,0 22,12A10,10 0 0,0 12,2Z"></path></svg> <?php echo $wo['lang']['everyone'];?>
										</a>
									</li>
									<li>
										<a class="pointer" onclick="Wo_UpdatePostPrivacy(<?php echo $wo['story']['id']; ?>,2,event);">
											<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path fill="currentColor" d="M12,4A4,4 0 0,1 16,8A4,4 0 0,1 12,12A4,4 0 0,1 8,8A4,4 0 0,1 12,4M12,14C16.42,14 20,15.79 20,18V20H4V18C4,15.79 7.58,14 12,14Z"></path></svg> <?php echo $wo['lang']['liked_my_page'];?>
										</a>
									</li>
								</ul>
							</span>
						<?php } ?>
					<?php }  ?>
				</div>
			</div>
		</div>
		<?php  if ($wo['story']['admin'] === true || $wo['story']['group_admin'] === true) { ?>
			<div class="dropdown tag_post_hdr_menu">
				<div class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
					<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="22" height="22"><path fill="currentColor" d="M12 13.172l4.95-4.95 1.414 1.414L12 16 5.636 9.636 7.05 8.222z"/></svg>
				</div>
				<ul class="dropdown-menu dropdown-menu-right tag_create_menu" role="menu">
					<div class="tag_post_men_disable"></div>
            		<?php if ($wo['story']['admin'] === true && empty($wo['story']['product_id']) && empty($wo['story']['shared_from'])) { ?>
						<li><a class="pointer" onclick="Wo_OpenPostEditBox(<?php echo $wo['story']['id']; ?>);"><?php echo $wo['lang']['edit_post'];?></a></li>
					<?php } else if (!empty($wo['story']['product_id'])) { 
						if ($wo['story']['product']['status'] == 0) { ?>
					<?php } } ?>
					<li><a class="pointer" onclick="Wo_OpenPostDeleteBox(<?php echo $wo['story']['id']; ?>);"><?php echo $wo['lang']['delete_post'];?></a></li>
					<li><a class="pointer disable-comments" onclick="Wo_DisableComment(<?php echo $wo['story']['id']; ?>, <?php echo $wo['story']['comments_status']; ?>);"><?php echo ($wo['story']['comments_status'] == 1) ? $wo['lang']['disable_comments'] : $wo['lang']['enable_comments'];?></a></li>
					<hr>
					<li><a href="<?php echo $wo['story']['url'];?>" target="_blank"><?php echo $wo['lang']['open_post_in_new_tab'];?></a></li>
				</ul>
			</div>
		<?php  } elseif ($wo['loggedin'] == true) { ?>
			<div class="dropdown tag_post_hdr_menu">
				<div class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
					<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="22" height="22"><path fill="currentColor" d="M12 13.172l4.95-4.95 1.414 1.414L12 16 5.636 9.636 7.05 8.222z"/></svg>
				</div>
				<ul class="dropdown-menu dropdown-menu-right tag_create_menu" role="menu">
					<div class="tag_post_men_disable"></div>
					<?php if (Wo_IsAdmin()): ?>
						<li><a class="pointer" onclick="Wo_OpenPostDeleteBox(<?php echo $wo['story']['id']; ?>);"><?php echo $wo['lang']['delete_post'];?></a></li>
					<?php endif; ?>
					<li>
						<a class="report-post pointer" onclick="Wo_ReportPost(<?php echo $wo['story']['id']; ?>);">
							<?php if($wo['story']['is_post_reported'] === true) { ?>
								<?php echo $wo['lang']['unreport_post'];?>
							<?php } else { ?>
								<?php echo $wo['lang']['report_post'];?>
							<?php } ?>
						</a>
					</li>
					<li><a href="<?php echo $wo['story']['url'];?>" target="_blank"><?php echo $wo['lang']['open_post_in_new_tab'];?></a></li>
					<li><a class="pointer" onclick="Wo_HidePost(<?php echo $wo['story']['id'];?>);"><?php echo $wo['lang']['hide_post'];?></a></li>
				</ul>
			</div>
		<?php } ?>
	</div>
<?php } elseif (empty($wo['story']['parent_id'])) {
	if ($wo['config']['shout_box_system'] == 1 && $wo['story']['postPrivacy'] == 4) {
		$anonymous = true;
		$wo['story']['publisher']['username'] = 'anonymous';
		$wo['story']['publisher']['name'] = $wo['lang']['anonymous'];
		$wo['story']['publisher']['avatar'] = Wo_GetMedia('upload/photos/incognito.png');
		$wo['story']['publisher']['verified'] = 0;
		$wo['story']['publisher']['type'] = '';
		$wo['story']['publisher']['url'] = 'javascript:void(0)';
	}
?>
	<div class="valign post-heading 2">
		<div class="valign">
			<div class="image">
				<?php if (!isset($anonymous)) { ?>
					<a href="<?php echo $wo['story']['publisher']['url']; ?>" data-ajax="?link1=timeline&u=<?php echo $wo['story']['publisher']['username']?>">
						<img src="<?php echo $wo['story']['publisher']['avatar']; ?>" alt="<?php echo $wo['story']['publisher']['name']; ?>" class="avatar">
						<?php if($wo['config']['user_lastseen'] == 1 && $wo['story']['publisher']['showlastseen'] != 0 && $wo['loggedin'] == true) {  ?>
							<span class="tag_post_status <?php echo($wo['story']['publisher']['lastseen'] > (time() - 60) ? 'online' : '' ) ?> "></span>
						<?php } ?>
					</a>
				<?php }else{ ?>
					<img src="<?php echo $wo['story']['publisher']['avatar']; ?>" alt="<?php echo $wo['story']['publisher']['name']; ?>" class="avatar">
				<?php } ?>
			</div>
			<div class="meta">
				<div class="title">
					<?php if (!isset($anonymous)) { ?>
						<span class="user-popover" data-type="<?php echo $wo['story']['publisher']['type']; ?>" data-id="<?php echo $wo['story']['publisher']['id']; ?>"><a href="<?php echo $wo['story']['publisher']['url']; ?>" data-ajax="?link1=timeline&u=<?php echo $wo['story']['publisher']['username']; ?>" class="name"><?php echo $wo['story']['publisher']['name']; ?></a></span>
					<?php }else{ ?>
						<span class="name"><?php echo $wo['story']['publisher']['name']; ?></span>
					<?php } ?>
					<?php if($wo['story']['publisher']['verified'] == 1) { ?>
						<span class="verified-color fs-14" title="<?php echo ($wo['story']['page_id'] > 0 ? $wo['lang']['verified_page'] : $wo['lang']['verified_user']);?>" data-toggle="tooltip">&nbsp;<svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 512 512"><path d="m256 0c-141.164062 0-256 114.835938-256 256s114.835938 256 256 256 256-114.835938 256-256-114.835938-256-256-256zm0 0" fill="#2196f3"></path><path d="m385.75 201.75-138.667969 138.664062c-4.160156 4.160157-9.621093 6.253907-15.082031 6.253907s-10.921875-2.09375-15.082031-6.253907l-69.332031-69.332031c-8.34375-8.339843-8.34375-21.824219 0-30.164062 8.339843-8.34375 21.820312-8.34375 30.164062 0l54.25 54.25 123.585938-123.582031c8.339843-8.34375 21.820312-8.34375 30.164062 0 8.339844 8.339843 8.339844 21.820312 0 30.164062zm0 0" fill="#fff"></path></svg></span>
					<?php } ?>
					<?php 
						if ($wo['config']['shout_box_system'] != 1 || $wo['story']['postPrivacy'] != 4) {
						if (isset($wo['story']['publisher']['is_pro'])) { 
						if(Wo_IsUserPro($wo['story']['publisher']['is_pro']) === true) {
					?>
						<?php $user_pro_type = Wo_GetUserProType($wo['story']['publisher']['pro_type']); ?>
						<span class="fs-14">&nbsp;<span class="pro-badge" style="background-color:<?php echo $user_pro_type['color_name'];?>" title="<?php echo $user_pro_type['type_name'];?>" data-toggle="tooltip"><a href="<?php echo Wo_SeoLink('index.php?link1=go-pro'); ?>" data-ajax="?link1=go-pro">PRO</a></span></span>
					<?php } } } ?>
					<?php if ($wo['story']['shared_from'] && is_array($wo['story']['shared_from'])): ?>
						<span class="fs-14">&nbsp;<?php echo $wo['lang']['shared']; ?>&nbsp;</span> 
						<a href="<?php echo $wo['story']['shared_from']['url']; ?>" data-ajax="?link1=timeline&u=<?php echo $wo['story']['shared_from']['username']; ?>" class="name"><?php echo $wo['story']['shared_from']['name']; ?></a>
						<?php if($wo['story']['shared_from']['verified'] == 1) { ?>
							<span class="verified-color fs-14" title="<?php echo ($wo['story']['page_id'] > 0 ? $wo['lang']['verified_page'] : $wo['lang']['verified_user']);?>" data-toggle="tooltip">&nbsp;<svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 512 512"><path d="m256 0c-141.164062 0-256 114.835938-256 256s114.835938 256 256 256 256-114.835938 256-256-114.835938-256-256-256zm0 0" fill="#2196f3"></path><path d="m385.75 201.75-138.667969 138.664062c-4.160156 4.160157-9.621093 6.253907-15.082031 6.253907s-10.921875-2.09375-15.082031-6.253907l-69.332031-69.332031c-8.34375-8.339843-8.34375-21.824219 0-30.164062 8.339843-8.34375 21.820312-8.34375 30.164062 0l54.25 54.25 123.585938-123.582031c8.339843-8.34375 21.820312-8.34375 30.164062 0 8.339844 8.339843 8.339844 21.820312 0 30.164062zm0 0" fill="#fff"></path></svg></span>
						<?php } ?>
						<span class="fs-14">&nbsp;<a href="<?php echo $wo['story']['post_url']; ?>"><?php echo strtolower($wo['lang']['post']); ?></a></span>
					<?php endif; ?>
					<?php if ($wo['config']['live_video'] == 1 && !empty($wo['story']['stream_name'])) { ?>
						<span class="fs-14 was_live_text_<?php echo($wo['story']['id']) ?>">&nbsp;<?php echo ($wo['story']['is_still_live'] ? $wo['lang']['is_live'] : $wo['lang']['was_live']); ?></span>
					<?php } ?>
					<?php if ($wo['story']['recipient_exists'] == true) {  ?>
						<span class="fs-14">&nbsp;<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="18" height="18" style="margin: -2px 0 0;"><path fill="currentColor" d="M16.172 11l-5.364-5.364 1.414-1.414L20 12l-7.778 7.778-1.414-1.414L16.172 13H4v-2z"/></svg>&nbsp;</span>
						<span class="user-popover" data-type="<?php echo $wo['story']['recipient']['type']; ?>" data-id='<?php echo $wo['story']['recipient']['id']; ?>'>
							<a href="<?php echo $wo['story']['recipient']['url']; ?>" data-ajax="?link1=timeline&u=<?php echo $wo['story']['recipient']['username']; ?>" class="name"><?php echo $wo['story']['recipient']['name']; ?></a>
							<?php if($wo['story']['recipient']['verified'] == 1) { ?> 
								<span class="verified-color fs-14" title="<?php echo ($wo['story']['page_id'] > 0 ? $wo['lang']['verified_page'] : $wo['lang']['verified_user']);?>" data-toggle="tooltip">&nbsp;<svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 512 512"><path d="m256 0c-141.164062 0-256 114.835938-256 256s114.835938 256 256 256 256-114.835938 256-256-114.835938-256-256-256zm0 0" fill="#2196f3"></path><path d="m385.75 201.75-138.667969 138.664062c-4.160156 4.160157-9.621093 6.253907-15.082031 6.253907s-10.921875-2.09375-15.082031-6.253907l-69.332031-69.332031c-8.34375-8.339843-8.34375-21.824219 0-30.164062 8.339843-8.34375 21.820312-8.34375 30.164062 0l54.25 54.25 123.585938-123.582031c8.339843-8.34375 21.820312-8.34375 30.164062 0 8.339844 8.339843 8.339844 21.820312 0 30.164062zm0 0" fill="#fff"></path></svg></span>
							<?php } ?>
						</span>
					<?php } ?>
					<?php if (!empty($wo['story']['page_event_id'])) {?>
						<span class="fs-14">&nbsp;<?php echo $wo['lang']['created_new_event'] ?></span>
					<?php } ?>
					<?php if (!empty($wo['story']['fund_id']) && empty($wo['story']['parent_id'])) {?>
						<span class="fs-14">&nbsp;<?php echo $wo['lang']['created_donation_request'] ?></span>
					<?php } ?>
					<?php if (!empty($wo['story']['fund_raise_id']) && empty($wo['story']['parent_id'])) {?>
						<span class="fs-14">&nbsp;<?php echo $wo['lang']['donated_to_request'] ?></span>
					<?php } ?>
					<?php if (!empty($wo['story']['offer_id']) && empty($wo['story']['parent_id'])) {?>
						<span class="fs-14">&nbsp;<?php echo $wo['lang']['created_offer'] ?></span>
					<?php } ?>
					<?php if (!empty($wo['story']['event_id']) && $wo['page'] != 'events') {  ?>
						<span class="fs-14">&nbsp;<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="18" height="18" style="margin: -2px 0 0;"><path fill="currentColor" d="M16.172 11l-5.364-5.364 1.414-1.414L20 12l-7.778 7.778-1.414-1.414L16.172 13H4v-2z"/></svg>&nbsp;</span> <a href="<?php echo $wo['story']['event']['url']; ?>" data-ajax="?link1=show-event&eid=<?php echo $wo['story']['event']['id']; ?>" class="name"><?php echo $wo['story']['event']['name']; ?></a>
					<?php } ?>
					<?php if ($wo['story']['group_recipient_exists'] == true && $wo['page'] != 'group') {  ?>
						<span class="fs-14">&nbsp;<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="18" height="18" style="margin: -2px 0 0;"><path fill="currentColor" d="M16.172 11l-5.364-5.364 1.414-1.414L20 12l-7.778 7.778-1.414-1.414L16.172 13H4v-2z"/></svg>&nbsp;</span>
						<span class="user-popover" data-type="<?php echo $wo['story']['group_recipient']['type']; ?>" data-id='<?php echo $wo['story']['group_recipient']['id']; ?>'>
							<a href="<?php echo $wo['story']['group_recipient']['url']; ?>" data-ajax="?link1=timeline&u=<?php echo $wo['story']['group_recipient']['username']; ?>" class="name"><?php echo $wo['story']['group_recipient']['name']; ?></a>
						</span>
					<?php } ?>
					<?php if (!empty($wo['story']['page_info']) && $wo['page'] != 'page') {  ?>
						<span class="fs-14">&nbsp;<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="18" height="18" style="margin: -2px 0 0;"><path fill="currentColor" d="M16.172 11l-5.364-5.364 1.414-1.414L20 12l-7.778 7.778-1.414-1.414L16.172 13H4v-2z"/></svg>&nbsp;</span>
						<span class="user-popover" data-type="<?php echo $wo['story']['page_info']['type']; ?>" data-id='<?php echo $wo['story']['page_info']['id']; ?>'>
							<a href="<?php echo $wo['story']['page_info']['url']; ?>" data-ajax="?link1=timeline&u=<?php echo $wo['story']['page_info']['username']; ?>" class="name"><?php echo $wo['story']['page_info']['name']; ?></a>
						</span>
					<?php } ?>
					<?php if (!empty($wo['story']['album_name']) && empty($wo['story']['shared_from'])) {  ?>
						<span class="fs-14">&nbsp;<?php echo $wo['lang']['added_new_photos_to'];?> <a href="<?php echo $wo['story']['url']; ?>" data-ajax="?link1=post&id=<?php echo $wo['story']['id'];?>" class="name"><?php echo $wo['story']['album_name']; ?></a></span>
					<?php } ?>
					<?php if (!empty($wo['story']['product_id']) && empty($wo['story']['shared_from'])) {  ?>
						<span class="fs-14">&nbsp;<?php echo $wo['lang']['added_new_product_for_sell']; ?></span>
					<?php } ?>
					<?php if (!empty($wo['story']['blog_id'])  && empty($wo['story']['shared_from'])) {  ?>
						<span class="fs-14">&nbsp;<?php echo $wo['lang']['created_new_blog'] ?></span>
					<?php } ?>
					<?php if (!empty($wo['story']['forum_id'])  && empty($wo['story']['shared_from']) && !empty($wo['story']['forum'])) {  ?>
						<span class="fs-14">&nbsp;<?php echo $wo['lang']['shared_forum'] ?></span>
					<?php } ?>
					<?php if (!empty($wo['story']['thread_id'])  && empty($wo['story']['shared_from']) && !empty($wo['story']['thread'])) {  ?>
						<span class="fs-14">&nbsp;<?php echo $wo['lang']['shared_thread'] ?></span>
					<?php } ?>
					<?php if (empty($wo['story']['shared_from'])): ?>
						<span class="fs-14"><?php 
								if($wo['story']['postType'] == 'profile_picture') { 
									$changed_profile_pic_lang = $wo['lang']['changed_profile_picture_male'];
									if ($wo['story']['publisher']['gender'] == 'female') {
										$changed_profile_pic_lang = $wo['lang']['changed_profile_picture_female'];
									} else {
										$changed_profile_pic_lang = $wo['lang']['changed_profile_picture_male'];
									}
									echo '&nbsp;' . $changed_profile_pic_lang;
								} 
								if($wo['story']['postType'] == 'profile_cover_picture') { 
									$changed_profile_cover_pic_lang = $wo['lang']['changed_profile_cover_picture_male'];
									if ($wo['story']['publisher']['gender'] == 'female') {
										$changed_profile_cover_pic_lang = $wo['lang']['changed_profile_cover_picture_female'];
									} else {
										$changed_profile_cover_pic_lang = $wo['lang']['changed_profile_cover_picture_male'];
									}
									echo '&nbsp;' . $changed_profile_cover_pic_lang;
								} 
							?></span>
					<?php endif; ?>
					<?php if($wo['story']['via_type'] == 'share') {  ?>
						<span class="fs-14">&nbsp;<?php echo $wo['story']['via']['name'];?> <?php echo $wo['lang']['shared_this_post'];?></span>
					<?php } ?>
					<?php 
						$extra_exists = 0;
						if (!empty($wo['story']['postFeeling'])) {
							if (empty($changed_profile_pic_lang) 
							&& $wo['story']['via_type'] != 'share'
							&& $wo['story']['group_recipient_exists'] != true
							&& empty($wo['story']['album_name'])) {
					?>
						<span class="feeling-text">&nbsp;<?php echo $wo['lang']['is_feeling'];?> <i class="twa-lg twa twa-<?php echo $wo['story']['postFeelingIcon'];?>"></i> <?php echo $wo['lang'][$wo['story']['postFeeling']];?></span>
					<?php
						} else {
							$extra_exists = 1;
						}
						}
						if (!empty($wo['story']['postTraveling'])) {
							if (empty($changed_profile_pic_lang) 
							&& $wo['story']['via_type'] != 'share'
							&& $wo['story']['group_recipient_exists'] != true
							&& empty($wo['story']['album_name'])) {
					?>
						<span class="feeling-text">&nbsp;<?php echo $wo['lang']['is_traveling'];?> <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="18" height="18"><path fill="currentColor" d="M17 20H7v1a1 1 0 0 1-1 1H4a1 1 0 0 1-1-1v-9H2V8h1V5a2 2 0 0 1 2-2h14a2 2 0 0 1 2 2v3h1v4h-1v9a1 1 0 0 1-1 1h-2a1 1 0 0 1-1-1v-1zM5 5v7h14V5H5zm2.5 13a1.5 1.5 0 1 0 0-3 1.5 1.5 0 0 0 0 3zm9 0a1.5 1.5 0 1 0 0-3 1.5 1.5 0 0 0 0 3z"></path></svg> <?php echo $wo['story']['postTraveling'];?></span>
					<?php
						} else {
							$extra_exists = 1;
						}
						}
						if (!empty($wo['story']['postListening'])) {
							if (empty($changed_profile_pic_lang) 
							&& $wo['story']['via_type'] != 'share'
							&& $wo['story']['group_recipient_exists'] != true
							&& empty($wo['story']['album_name'])) {
					?>
						<span class="feeling-text">&nbsp;<?php echo $wo['lang']['is_listening'];?> <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="18" height="18"><path fill="currentColor" d="M4 12h3a2 2 0 0 1 2 2v5a2 2 0 0 1-2 2H4a2 2 0 0 1-2-2v-7C2 6.477 6.477 2 12 2s10 4.477 10 10v7a2 2 0 0 1-2 2h-3a2 2 0 0 1-2-2v-5a2 2 0 0 1 2-2h3a8 8 0 1 0-16 0z"></path></svg> <?php echo $wo['story']['postListening'];?></span>
					<?php
						} else {
							$extra_exists = 1;
						}
						}
						if (!empty($wo['story']['postPlaying'])) {
							if (empty($changed_profile_pic_lang) 
							&& $wo['story']['via_type'] != 'share'
							&& $wo['story']['group_recipient_exists'] != true
							&& empty($wo['story']['album_name'])) {
					?>
						<span class="feeling-text">&nbsp;<?php echo $wo['lang']['is_playing'];?> <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="18" height="18"><path fill="currentColor" d="M17 4a6 6 0 0 1 6 6v4a6 6 0 0 1-6 6H7a6 6 0 0 1-6-6v-4a6 6 0 0 1 6-6h10zm-7 5H8v2H6v2h1.999L8 15h2l-.001-2H12v-2h-2V9zm8 4h-2v2h2v-2zm-2-4h-2v2h2V9z"></path></svg> <?php echo $wo['story']['postPlaying'];?></span>
					<?php
						} else {
							$extra_exists = 1;
						}
						}
						if (!empty($wo['story']['postWatching'])) {
							if (empty($changed_profile_pic_lang) 
							&& $wo['story']['via_type'] != 'share'
							&& $wo['story']['group_recipient_exists'] != true
							&& empty($wo['story']['album_name'])) {
					?>
						<span class="feeling-text">&nbsp;<?php echo $wo['lang']['is_watching'];?> <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="18" height="18"><path fill="currentColor" d="M15.414 5h5.594c.548 0 .992.445.992 1v14c0 .552-.455 1-.992 1H2.992A.994.994 0 0 1 2 20V6c0-.552.455-1 .992-1h5.594L6.05 2.464 7.464 1.05 11.414 5h1.172l3.95-3.95 1.414 1.414L15.414 5z"></path></svg> <?php echo $wo['story']['postWatching'];?></span>
					<?php
						} else {
							$extra_exists = 1;
						}
						}
					?>
				</div>
				<div class="valign tag_post_hdr_sub">
					<span class="time"><a class="ajax-time" href="<?php echo $wo['story']['url'];?>" target="_blank"><?php echo Wo_Time_Elapsed_String($wo['story']['time']); ?></a></span>
					<?php if (strlen($wo['story']['postText']) >= 2): ?>
						<span class="middot">·</span><span onclick="Wo_Translate($(this).attr('id'),$(this).attr('data-language'))" title="<?php echo $wo['lang']['translate'];?>" class="pointer time" id="<?php echo $wo['story']['id']; ?>" data-language="<?php echo DetermineUserLang(); ?>" data-trans-btn="<?php echo $wo['story']['id']; ?>"><?php echo $wo['lang']['translate'];?></span> 
					<?php endif ?>
					<?php if(!empty($wo['story']['postMap'])) { ?>
						<?php if(!empty($wo['story']['postSoundCloud']) || 
							!empty($wo['story']['postVine']) || 
							!empty($wo['story']['postYoutube']) || 
							!empty($wo['story']['postPlaytube']) || 
							!empty($wo['story']['postVimeo']) || 
							!empty($wo['story']['postText']) || 
							!empty($wo['story']['postFile']) || 
							!empty($wo['story']['postLink']) || 
							!empty($wo['story']['postFacebook']) || 
							!empty($wo['story']['postDailymotion']) ||
							!empty($wo['story']['album_name']) || $wo['config']['google_map'] == 0) {
						?>
							<span class="middot">·</span><span class="time"><?php echo $wo['story']['postMap'];?></span>
						<?php } ?>
					<?php } else { ?>
						<?php
							$small_icon = '';
							$icon_type = '';
							if(!empty($wo['story']['postVine'])) { 
								$small_icon = 'vine';
								$icon_type = 'Vine';
							} else if (!empty($wo['story']['postVimeo'])) {
								$small_icon = 'vimeo';
								$icon_type = 'Vimeo';
							} else if (!empty($wo['story']['postFacebook'])) {
								$small_icon = 'facebook-official';
								$icon_type = 'Facebook';
							} else if (!empty($wo['story']['postDailymotion'])) {
								$small_icon = 'film';
								$icon_type = 'Dailymotion';
							} else if (!empty($wo['story']['postYoutube'])) {
								$small_icon = 'youtube-square';
								$icon_type = 'Youtube';
							} else if (!empty($wo['story']['postPlaytube'])) {
								// $small_icon = 'play-circle';
								// $icon_type = 'PlayTube';
							} else if (!empty($wo['story']['postSoundCloud'])) {
								$small_icon = 'soundcloud';
								$icon_type = 'SoundCloud';
							}
							if (!empty($icon_type)) {
						?>
							<span class="middot">·</span><span class="time"><?php echo $icon_type; ?></span>
						<?php } ?>
					<?php } ?>
					<?php  if ($wo['story']['admin'] === true && $wo['story']['group_recipient_exists'] == false && empty($wo['story']['product_id'])) { ?>
						<?php  if (empty($wo['story']['page_id'])) { ?>
							<span class="middot">·</span>
							<span class="dropdown">
								<div class="dropdown-toggle post-privacy" data-toggle="dropdown" role="button" aria-expanded="false">
									<?php if ($wo['config']['shout_box_system'] == 1 && $wo['story']['postPrivacy'] == 4) { ?>
										<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" opacity=".8"><title><?php echo $wo['lang']['anonymous'];?></title><path fill="currentColor" d="M12,3C9.31,3 7.41,4.22 7.41,4.22L6,9H18L16.59,4.22C16.59,4.22 14.69,3 12,3M12,11C9.27,11 5.39,11.54 5.13,11.59C4.09,11.87 3.25,12.15 2.59,12.41C1.58,12.75 1,13 1,13H23C23,13 22.42,12.75 21.41,12.41C20.75,12.15 19.89,11.87 18.84,11.59C18.84,11.59 14.82,11 12,11M7.5,14A3.5,3.5 0 0,0 4,17.5A3.5,3.5 0 0,0 7.5,21A3.5,3.5 0 0,0 11,17.5C11,17.34 11,17.18 10.97,17.03C11.29,16.96 11.63,16.9 12,16.91C12.37,16.91 12.71,16.96 13.03,17.03C13,17.18 13,17.34 13,17.5A3.5,3.5 0 0,0 16.5,21A3.5,3.5 0 0,0 20,17.5A3.5,3.5 0 0,0 16.5,14C15.03,14 13.77,14.9 13.25,16.19C12.93,16.09 12.55,16 12,16C11.45,16 11.07,16.09 10.75,16.19C10.23,14.9 8.97,14 7.5,14M7.5,15A2.5,2.5 0 0,1 10,17.5A2.5,2.5 0 0,1 7.5,20A2.5,2.5 0 0,1 5,17.5A2.5,2.5 0 0,1 7.5,15M16.5,15A2.5,2.5 0 0,1 19,17.5A2.5,2.5 0 0,1 16.5,20A2.5,2.5 0 0,1 14,17.5A2.5,2.5 0 0,1 16.5,15Z"></path></svg>
									<?php } ?>
									<?php if($wo['story']['postPrivacy'] == 0) { ?>
										<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" opacity=".8"><title><?php echo $wo['lang']['everyone'];?></title><path fill="currentColor" d="M17.9,17.39C17.64,16.59 16.89,16 16,16H15V13A1,1 0 0,0 14,12H8V10H10A1,1 0 0,0 11,9V7H13A2,2 0 0,0 15,5V4.59C17.93,5.77 20,8.64 20,12C20,14.08 19.2,15.97 17.9,17.39M11,19.93C7.05,19.44 4,16.08 4,12C4,11.38 4.08,10.78 4.21,10.21L9,15V16A2,2 0 0,0 11,18M12,2A10,10 0 0,0 2,12A10,10 0 0,0 12,22A10,10 0 0,0 22,12A10,10 0 0,0 12,2Z"></path></svg>
									<?php } ?>
									<?php if($wo['story']['postPrivacy'] == 1) { ?>
										<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" opacity=".8"><title><?php echo ($wo['config']['connectivitySystem'] == 1) ? $wo['lang']['my_friends'] : $wo['lang']['people_follow_me'];?></title><path fill="currentColor" d="M16,13C15.71,13 15.38,13 15.03,13.05C16.19,13.89 17,15 17,16.5V19H23V16.5C23,14.17 18.33,13 16,13M8,13C5.67,13 1,14.17 1,16.5V19H15V16.5C15,14.17 10.33,13 8,13M8,11A3,3 0 0,0 11,8A3,3 0 0,0 8,5A3,3 0 0,0 5,8A3,3 0 0,0 8,11M16,11A3,3 0 0,0 19,8A3,3 0 0,0 16,5A3,3 0 0,0 13,8A3,3 0 0,0 16,11Z"></path></svg>
									<?php } ?>
									<?php if($wo['story']['postPrivacy'] == 2) { ?>
										<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" opacity=".8"><title><?php echo ($wo['config']['connectivitySystem'] == 1) ? $wo['lang']['my_friends'] : $wo['lang']['people_i_follow'];?></title><path fill="currentColor" d="M12,4A4,4 0 0,1 16,8A4,4 0 0,1 12,12A4,4 0 0,1 8,8A4,4 0 0,1 12,4M12,14C16.42,14 20,15.79 20,18V20H4V18C4,15.79 7.58,14 12,14Z"></path></svg>
									<?php } ?>
									<?php if($wo['story']['postPrivacy'] == 3) { ?>
										<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" opacity=".8"><title><?php echo $wo['lang']['only_me'];?></title><path fill="currentColor" d="M12,17A2,2 0 0,0 14,15C14,13.89 13.1,13 12,13A2,2 0 0,0 10,15A2,2 0 0,0 12,17M18,8A2,2 0 0,1 20,10V20A2,2 0 0,1 18,22H6A2,2 0 0,1 4,20V10C4,8.89 4.9,8 6,8H7V6A5,5 0 0,1 12,1A5,5 0 0,1 17,6V8H18M12,3A3,3 0 0,0 9,6V8H15V6A3,3 0 0,0 12,3Z"></path></svg>
									<?php } ?>
								</div>
								<ul class="dropdown-menu tag_create_menu" role="menu">
									<li>
										<a class="pointer" onclick="Wo_UpdatePostPrivacy(<?php echo $wo['story']['id']; ?>,3,event);">
											<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path fill="currentColor" d="M12,17A2,2 0 0,0 14,15C14,13.89 13.1,13 12,13A2,2 0 0,0 10,15A2,2 0 0,0 12,17M18,8A2,2 0 0,1 20,10V20A2,2 0 0,1 18,22H6A2,2 0 0,1 4,20V10C4,8.89 4.9,8 6,8H7V6A5,5 0 0,1 12,1A5,5 0 0,1 17,6V8H18M12,3A3,3 0 0,0 9,6V8H15V6A3,3 0 0,0 12,3Z"></path></svg> <?php echo $wo['lang']['only_me'];?>
										</a>
									</li>
									<li>
										<a class="pointer" onclick="Wo_UpdatePostPrivacy(<?php echo $wo['story']['id']; ?>,0,event);">
											<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path fill="currentColor" d="M17.9,17.39C17.64,16.59 16.89,16 16,16H15V13A1,1 0 0,0 14,12H8V10H10A1,1 0 0,0 11,9V7H13A2,2 0 0,0 15,5V4.59C17.93,5.77 20,8.64 20,12C20,14.08 19.2,15.97 17.9,17.39M11,19.93C7.05,19.44 4,16.08 4,12C4,11.38 4.08,10.78 4.21,10.21L9,15V16A2,2 0 0,0 11,18M12,2A10,10 0 0,0 2,12A10,10 0 0,0 12,22A10,10 0 0,0 22,12A10,10 0 0,0 12,2Z"></path></svg> <?php echo $wo['lang']['everyone'];?>
										</a>
									</li>
									<?php if ($wo['config']['connectivitySystem'] == 1) { ?>
										<li>
											<a class="pointer" onclick="Wo_UpdatePostPrivacy(<?php echo $wo['story']['id']; ?>,1,event);">
												<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path fill="currentColor" d="M16,13C15.71,13 15.38,13 15.03,13.05C16.19,13.89 17,15 17,16.5V19H23V16.5C23,14.17 18.33,13 16,13M8,13C5.67,13 1,14.17 1,16.5V19H15V16.5C15,14.17 10.33,13 8,13M8,11A3,3 0 0,0 11,8A3,3 0 0,0 8,5A3,3 0 0,0 5,8A3,3 0 0,0 8,11M16,11A3,3 0 0,0 19,8A3,3 0 0,0 16,5A3,3 0 0,0 13,8A3,3 0 0,0 16,11Z"></path></svg> <?php echo $wo['lang']['my_friends'];?>
											</a>
										</li>
									<?php } else { ?>
										<li>
											<a class="pointer" onclick="Wo_UpdatePostPrivacy(<?php echo $wo['story']['id']; ?>,2,event);">
												<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path fill="currentColor" d="M12,4A4,4 0 0,1 16,8A4,4 0 0,1 12,12A4,4 0 0,1 8,8A4,4 0 0,1 12,4M12,14C16.42,14 20,15.79 20,18V20H4V18C4,15.79 7.58,14 12,14Z"></path></svg> <?php echo $wo['lang']['people_i_follow'];?>
											</a>
										</li>
										<li>
											<a class="pointer" onclick="Wo_UpdatePostPrivacy(<?php echo $wo['story']['id']; ?>,1,event);">
												<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path fill="currentColor" d="M16,13C15.71,13 15.38,13 15.03,13.05C16.19,13.89 17,15 17,16.5V19H23V16.5C23,14.17 18.33,13 16,13M8,13C5.67,13 1,14.17 1,16.5V19H15V16.5C15,14.17 10.33,13 8,13M8,11A3,3 0 0,0 11,8A3,3 0 0,0 8,5A3,3 0 0,0 5,8A3,3 0 0,0 8,11M16,11A3,3 0 0,0 19,8A3,3 0 0,0 16,5A3,3 0 0,0 13,8A3,3 0 0,0 16,11Z"></path></svg> <?php echo $wo['lang']['people_follow_me'];?>
											</a>
										</li>
									<?php } ?>
									<?php if ($wo['config']['shout_box_system'] == 1) { ?>
										<li>
											<a class="pointer" onclick="Wo_UpdatePostPrivacy(<?php echo $wo['story']['id']; ?>,4,event);">
												<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path fill="currentColor" d="M12,3C9.31,3 7.41,4.22 7.41,4.22L6,9H18L16.59,4.22C16.59,4.22 14.69,3 12,3M12,11C9.27,11 5.39,11.54 5.13,11.59C4.09,11.87 3.25,12.15 2.59,12.41C1.58,12.75 1,13 1,13H23C23,13 22.42,12.75 21.41,12.41C20.75,12.15 19.89,11.87 18.84,11.59C18.84,11.59 14.82,11 12,11M7.5,14A3.5,3.5 0 0,0 4,17.5A3.5,3.5 0 0,0 7.5,21A3.5,3.5 0 0,0 11,17.5C11,17.34 11,17.18 10.97,17.03C11.29,16.96 11.63,16.9 12,16.91C12.37,16.91 12.71,16.96 13.03,17.03C13,17.18 13,17.34 13,17.5A3.5,3.5 0 0,0 16.5,21A3.5,3.5 0 0,0 20,17.5A3.5,3.5 0 0,0 16.5,14C15.03,14 13.77,14.9 13.25,16.19C12.93,16.09 12.55,16 12,16C11.45,16 11.07,16.09 10.75,16.19C10.23,14.9 8.97,14 7.5,14M7.5,15A2.5,2.5 0 0,1 10,17.5A2.5,2.5 0 0,1 7.5,20A2.5,2.5 0 0,1 5,17.5A2.5,2.5 0 0,1 7.5,15M16.5,15A2.5,2.5 0 0,1 19,17.5A2.5,2.5 0 0,1 16.5,20A2.5,2.5 0 0,1 14,17.5A2.5,2.5 0 0,1 16.5,15Z"></path></svg> <?php echo $wo['lang']['anonymous'];?>
											</a>
										</li>
									<?php } ?>
								</ul>
							</span>
						<?php } else { ?>
							<span class="middot">·</span>
							<span class="dropdown">
								<div class="dropdown-toggle post-privacy" data-toggle="dropdown" role="button" aria-expanded="false">
									<?php if($wo['story']['postPrivacy'] == 0) { ?>
										<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" opacity=".8"><title><?php echo $wo['lang']['everyone'];?></title><path fill="currentColor" d="M17.9,17.39C17.64,16.59 16.89,16 16,16H15V13A1,1 0 0,0 14,12H8V10H10A1,1 0 0,0 11,9V7H13A2,2 0 0,0 15,5V4.59C17.93,5.77 20,8.64 20,12C20,14.08 19.2,15.97 17.9,17.39M11,19.93C7.05,19.44 4,16.08 4,12C4,11.38 4.08,10.78 4.21,10.21L9,15V16A2,2 0 0,0 11,18M12,2A10,10 0 0,0 2,12A10,10 0 0,0 12,22A10,10 0 0,0 22,12A10,10 0 0,0 12,2Z"></path></svg>
									<?php } ?>
									<?php if($wo['story']['postPrivacy'] == 2) { ?>
										<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" opacity=".8"><title><?php echo $wo['lang']['liked_my_page'];?></title><path fill="currentColor" d="M12,4A4,4 0 0,1 16,8A4,4 0 0,1 12,12A4,4 0 0,1 8,8A4,4 0 0,1 12,4M12,14C16.42,14 20,15.79 20,18V20H4V18C4,15.79 7.58,14 12,14Z"></path></svg>
									<?php } ?>
								</div>
								<ul class="dropdown-menu tag_create_menu" role="menu">
									<li>
										<a class="pointer" onclick="Wo_UpdatePostPrivacy(<?php echo $wo['story']['id']; ?>,0,event);">
											<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path fill="currentColor" d="M17.9,17.39C17.64,16.59 16.89,16 16,16H15V13A1,1 0 0,0 14,12H8V10H10A1,1 0 0,0 11,9V7H13A2,2 0 0,0 15,5V4.59C17.93,5.77 20,8.64 20,12C20,14.08 19.2,15.97 17.9,17.39M11,19.93C7.05,19.44 4,16.08 4,12C4,11.38 4.08,10.78 4.21,10.21L9,15V16A2,2 0 0,0 11,18M12,2A10,10 0 0,0 2,12A10,10 0 0,0 12,22A10,10 0 0,0 22,12A10,10 0 0,0 12,2Z"></path></svg> <?php echo $wo['lang']['everyone'];?>
										</a>
									</li>
									<li>
										<a class="pointer" onclick="Wo_UpdatePostPrivacy(<?php echo $wo['story']['id']; ?>,2,event);">
											<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path fill="currentColor" d="M12,4A4,4 0 0,1 16,8A4,4 0 0,1 12,12A4,4 0 0,1 8,8A4,4 0 0,1 12,4M12,14C16.42,14 20,15.79 20,18V20H4V18C4,15.79 7.58,14 12,14Z"></path></svg> <?php echo $wo['lang']['liked_my_page'];?>
										</a>
									</li>
								</ul>
							</span>
						<?php } ?>
					<?php } ?>
				</div>
			</div>
		</div>
		<?php  if ($wo['story']['admin'] === true || $wo['story']['group_admin'] === true) { ?>
			<div class="dropdown tag_post_hdr_menu">
				<div class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
					<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="22" height="22"><path fill="currentColor" d="M12 13.172l4.95-4.95 1.414 1.414L12 16 5.636 9.636 7.05 8.222z"/></svg>
				</div>
				<ul class="dropdown-menu dropdown-menu-right tag_create_menu" role="menu">
					<div class="tag_post_men_disable"></div>
					<?php if ($wo['loggedin'] == true && !empty($wo['story']['offer_id']) && (Wo_IsModerator() || Wo_IsAdmin() || $wo['story']['offer']['user_id'] == $wo['user']['id'])) { ?>
						<li><a class="pointer" onclick="Wo_OpenOfferEditBox(<?php echo $wo['story']['offer_id']; ?>);"><?php echo $wo['lang']['edit_offer'];?></a></li>
					<?php } ?>
					<?php if ($wo['story']['admin'] === true && empty($wo['story']['product_id']) && empty($wo['story']['shared_from'])) { ?>
						<li><a class="pointer" onclick="Wo_OpenPostEditBox(<?php echo $wo['story']['id']; ?>);"><?php echo $wo['lang']['edit_post'];?></a></li>
					<?php } else if (!empty($wo['story']['product_id'])) { 
						if ($wo['story']['product']['status'] == 0) { 
					?>
						<li><a class="pointer mark-as-sold-post" onclick="Wo_MarkAsSold(<?php echo $wo['story']['id']; ?>, <?php echo $wo['story']['product_id']; ?>);"><?php echo $wo['lang']['mark_as_sold']?></a></li>
						<li><a class="pointer" href="<?php echo Wo_SeoLink('index.php?link1=edit-product&id=' . $wo['story']['product_id']);?>"><?php echo $wo['lang']['edit_product']?></a></li>
					<?php } } ?>
					<li><a class="pointer" onclick="Wo_OpenPostDeleteBox(<?php echo $wo['story']['id']; ?>);"><?php echo $wo['lang']['delete_post'];?></a></li>
					<li><a class="pointer disable-comments" onclick="Wo_DisableComment(<?php echo $wo['story']['id']; ?>, <?php echo $wo['story']['comments_status']; ?>);"><?php echo ($wo['story']['comments_status'] == 1) ? $wo['lang']['disable_comments'] : $wo['lang']['enable_comments'];?></a></li>
					<hr>
					<li><a href="<?php echo $wo['story']['url'];?>" target="_blank"><?php echo $wo['lang']['open_post_in_new_tab'];?></a></li>
					<hr>
					<?php if (empty($wo['story']['recipient']) && $wo['story']['admin'] === true) { ?>
					<?php if ($wo['story']['is_group_post'] == false) { ?>
						<li>
							<?php
								$pin_post_id = $wo['story']['publisher']['id'];
								$pin_post_text = 'profile';
								if (!empty($wo['story']['page_id'])) {
									$pin_post_id = $wo['story']['page_id'];
									$pin_post_text = 'page';
								} else if (!empty($wo['story']['group_id'])) {
									$pin_post_id = $wo['story']['group_id'];
									$pin_post_text = 'group';
								}  else if (!empty($wo['story']['event_id'])) {
									$pin_post_id = $wo['story']['event_id'];
									$pin_post_text = 'event';
								}
							?>
							<a class="pin-post pointer" onclick="Wo_PinPost(<?php echo $wo['story']['id']; ?>, <?php echo $pin_post_id;?>, '<?php echo $pin_post_text; ?>');">
								<?php if($wo['story']['is_post_pinned'] === true) { ?>
									<?php echo $wo['lang']['unpin_post'];?>
								<?php } else { ?>
									<?php echo $wo['lang']['pin_post'];?>
								<?php } ?>
							</a>
						</li>
					<?php } } ?>
					<?php if (!empty($wo['story']['album_name']) && ($wo['story']['group_admin'] === false || $wo['story']['admin'] === true)) {?>
						<li><a href="<?php echo Wo_SeoLink('index.php?link1=create-album&album=' . $wo['story']['id']);?>"><?php echo $wo['lang']['add_photos'];?></a></li>
					<?php } ?>
					<?php $hr = 0; if ($wo['config']['pro'] == 1 && ($wo['story']['group_admin'] === false || $wo['story']['admin'] === true)) { ?>
						<li>
							<?php if ($wo['user']['is_pro'] == 0) {  ?>
								<a href="<?php echo Wo_SeoLink('index.php?link1=go-pro');?>" data-ajax="?link1=go-pro"><?php echo $wo['lang']['boost_post']; ?></a>
							<?php } else if ($wo['user']['is_pro'] == 1 && in_array($wo['user']['pro_type'], array_keys($wo['pro_packages_types'])) && $wo['pro_packages'][$wo['pro_packages_types'][$wo['user']['pro_type']]]['posts_promotion'] > 0) {?>
								<?php if ($wo['story']['is_post_boosted'] == 0) { ?>
									<a class="boost-post pointer" onclick="Wo_BoostPost(<?php echo $wo['story']['id']; ?>)"><?php echo $wo['lang']['boost_post']; ?></a>
								<?php } else { ?>
									<a class="boost-post pointer" onclick="Wo_BoostPost(<?php echo $wo['story']['id']; ?>)"><?php echo $wo['lang']['unboost_post']; ?></a>
								<?php } ?>
							<?php } else if ($wo['user']['is_pro'] == 1 && $wo['user']['pro_type'] == 1) { $hr = 1; ?>
							<?php } ?>
						</li>
					<?php if ($hr == 0) { ?>
					<?php } } ?>
				</ul>
			</div>
		<?php } elseif ($wo['loggedin'] == true) { ?>
			<div class="dropdown tag_post_hdr_menu">
				<div class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
					<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="22" height="22"><path fill="currentColor" d="M12 13.172l4.95-4.95 1.414 1.414L12 16 5.636 9.636 7.05 8.222z"/></svg>
				</div>
				<ul class="dropdown-menu dropdown-menu-right tag_create_menu" role="menu">
					<div class="tag_post_men_disable"></div>
					<?php if (Wo_IsAdmin()): ?>
						<li><a class="pointer" onclick="Wo_OpenPostDeleteBox(<?php echo $wo['story']['id']; ?>);"><?php echo $wo['lang']['delete_post'];?></a></li>
					<?php endif; ?>
					<li>
						<a class="save-post pointer" onclick="Wo_SavePost(<?php echo $wo['story']['id']; ?>);">
							<?php if($wo['story']['is_post_saved'] === true) { ?>
								<?php echo $wo['lang']['unsave_post'];?>
							<?php } else { ?>
								<?php echo $wo['lang']['save_post'];?>
							<?php } ?>
						</a>
					</li>
					<li>
						<a class="report-post pointer" onclick="Wo_ReportPost(<?php echo $wo['story']['id']; ?>);">
							<?php if($wo['story']['is_post_reported'] === true) { ?>
								<?php echo $wo['lang']['unreport_post'];?>
							<?php } else { ?>
								<?php echo $wo['lang']['report_post'];?>
							<?php } ?>
						</a>
					</li>
					<li><a href="<?php echo $wo['story']['url'];?>" target="_blank"><?php echo $wo['lang']['open_post_in_new_tab'];?></a></li>
					<li><a class="pointer" onclick="Wo_HidePost(<?php echo $wo['story']['id'];?>);"><?php echo $wo['lang']['hide_post'];?></a></li>
				</ul>
			</div>
		<?php } ?>
	</div>
<?php } ?>